Prolem mit Plugin,

Dieses Thema im Forum "Programmierung" wurde erstellt von mdafcker, 24. Oktober 2012.

Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. mdafcker
    Offline

    mdafcker Gesperrt

    Registriert seit:
    20. Oktober 2012
    Beiträge:
    51
    Minecraft:
    mdafcker
    Hey Leute.. Ich habe ein Plugin gemacht und er ladet nicht Hier die LOG:


    Code (Text):
    1. 2012-10-24 10:54:05 [INFO] Starting minecraft server version 1.3.2
    2. 2012-10-24 10:54:05 [INFO] Loading properties
    3. 2012-10-24 10:54:05 [INFO] Default game type: SURVIVAL
    4. 2012-10-24 10:54:05 [INFO] Generating keypair
    5. 2012-10-24 10:54:05 [INFO] Starting Minecraft server on *:25565
    6. 2012-10-24 10:54:05 [WARNING] **** SERVER IS RUNNING IN OFFLINE/INSECURE MODE!
    7. 2012-10-24 10:54:05 [WARNING] The server will make no attempt to authenticate usernames. Beware.
    8. 2012-10-24 10:54:05 [WARNING] While this makes the game possible to play without internet access, it also opens up the ability for hackers to connect with any username they choose.
    9. 2012-10-24 10:54:05 [WARNING] To change this, set "online-mode" to "true" in the server.properties file.
    10. 2012-10-24 10:54:05 [INFO] This server is running CraftBukkit version git-Bukkit-1.3.2-R2.0-b2396jnks (MC: 1.3.2) (Implementing API version 1.3.2-R2.0)
    11. 2012-10-24 10:54:06 [WARNING] ----- Bukkit Auto Updater -----
    12. 2012-10-24 10:54:06 [WARNING] Your version of CraftBukkit is out of date. Version 1.3.2-R2.1 (build #2399) was released on Fri Oct 19 21:02:22 UTC 2012.
    13. 2012-10-24 10:54:06 [WARNING] Details: /downloads/craftbukkit/view/01466_1.3.2-R2.1/
    14. 2012-10-24 10:54:06 [WARNING] Download: /downloads/craftbukkit/get/01466_1.3.2-R2.1/craftbukkit-dev.jar
    15. 2012-10-24 10:54:06 [WARNING] ----- ------------------- -----
    16. 2012-10-24 10:54:06 [SEVERE] Could not load 'plugins/System.jar' in folder 'plugins'
    17. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/mdafcker/System/System : Unsupported major.minor version 51.0
    18.     at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:154)
    19.     at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:305)
    20.     at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:230)
    21.     at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:227)
    22.     at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:203)
    23.     at net.minecraft.server.ServerConfigurationManagerAbstract.<init>(ServerConfigurationManagerAbstract.java:50)
    24.     at net.minecraft.server.ServerConfigurationManager.<init>(SourceFile:11)
    25.     at net.minecraft.server.DedicatedServer.init(DedicatedServer.java:105)
    26.     at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:378)
    27.     at net.minecraft.server.ThreadServerApplication.run(SourceFile:539)
    28. Caused by: java.lang.UnsupportedClassVersionError: me/mdafcker/System/System : Unsupported major.minor version 51.0
    29.     at java.lang.ClassLoader.defineClass1(Native Method)
    30.     at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
    31.     at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    32.     at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
    33.     at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
    34.     at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
    35.     at java.security.AccessController.doPrivileged(Native Method)
    36.     at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
    37.     at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:44)
    38.     at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:29)
    39.     at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
    40.     at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
    41.     at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:334)
    42.     at java.lang.Class.forName0(Native Method)
    43.     at java.lang.Class.forName(Class.java:264)
    44.     at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:143)
    45.     ... 9 more
    Was ist falch? ?
     
    #1
  2. Greey3331
    Online

    Greey3331

  3. sourcemaker
    Offline

    sourcemaker

    Registriert seit:
    11. Juli 2011
    Beiträge:
    40
    Ort:
    Essen (NRW)
    Minecraft:
    ich habe viele Namen ;-)
    Zu deutsch: Du hast aktuell Java 6 auf deinem Server, benötigst aber Java 7
     
    #3
  4. f14_tomcat
    Offline

    f14_tomcat

    Registriert seit:
    16. Oktober 2012
    Beiträge:
    12
    Ort:
    /dev
    Minecraft:
    f14_tomcat
    Ich nehme an, du arbeitest mit Eclipse. Stelle dort am besten den Compiler auf Java 6 um, denn die meisten Server bzw. ich würde mal behaupten 99% laufen noch auf Java 6. Das ist einfacher, als auf dem Server Java 7 zu installieren, zumal dies ja nicht bei jedem Server ohne weiteres möglich ist.
     
    #4
Status des Themas:
Es sind keine weiteren Antworten möglich.